com.informix.csm

## Class IfxCssInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - com.informix.csm.IfxCssInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class IfxCssInputStream
    extends java.io.FilterInputStream

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`IfxCssInputStream(java.io.InputStream Is, IfxCsm myCSM)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int offset, int len)`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.io.FilterInputStream

`mark, markSupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxCssInputStream

    public IfxCssInputStream(java.io.InputStream Is,
                             IfxCsm myCSM)

### Method Detail

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
                    int offset,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### reset

    public void reset()
               throws java.io.IOException

Overrides:
  `reset` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`